Ethiack Docs
Reports

List Reports

GET
/v1/reports/

Fetches a list of user-accessible reports, with support for filtering and pagination.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Query Parameters

report_id?integer

The unique identifier of the report to retrieve

event_slug?string

The slug of the event to retrieve reports for

organization_id?integer

The unique identifier of the organization to retrieve reports for

page?integer

The page number to retrieve

per_page?integer

The number of reports to retrieve per page

Response Body

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/reports/"
{
  "reports": [
    {
      "id": 0,
      "generation_date": null,
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z",
      "created": "2019-08-24T14:15:22Z",
      "options": {},
      "event_id": 0,
      "error": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}